dsparseMatrix-class {Matrix} | R Documentation

## Virtual Class "dsparseMatrix" of Numeric Sparse Matrices

### Description

The Class `"dsparseMatrix"` is the virtual (super) class of all numeric sparse matrices.

### Slots

`Dim`:

  the matrix dimension, see class `"Matrix"`.

`Dimnames`:

  see the `"Matrix"` class.

`x`:

  a `numeric` vector containing the (non-zero) matrix entries.

### Extends

Class `"dMatrix"` and `"sparseMatrix"`, directly.
Class `"Matrix"`, by the above classes.

### See Also

the documentation of the (non virtual) sub classes, see `showClass("dsparseMatrix")`; in particular, dgTMatrix, dgCMatrix, and dgRMatrix.

### Examples

    showClass("dsparseMatrix")

[Package Matrix version 1.0-6 Index]